Searching for a purchased app results in 3 results for it

Bug #969273 reported by Michael Terry on 2012-03-30
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Michael Vogt

Bug Description

TEST CASE:
1. use software-center and install at least one purchase (can be a $0 purchase)
2. click on "File/Reinstall previous purchases" in the menu
3. wait until the list of previous purchases is available
4. click on "All Software" in the menubar
5. search for the *pkgname* of the purchased app (e.g. vendetta-online)
6. verify that there are three items now in the search results

Original description:

If you purchase an app (say, Braid) or click on "reinstall previous purchases", then search for it from the main screen, you'll see 3 results for it:

1) One will have no icon, will have ratings, and no price
2) One will look normal (icon, ratings, price)
3) One will say "(already purchased)" and not have a price

Screenshot attached. Happens for other purchased apps too.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: software-center 5.1.13.2
ProcVersionSignature: Ubuntu 3.2.0-20.32-generic-pae 3.2.12
Uname: Linux 3.2.0-20-generic-pae i686
ApportVersion: 2.0-0ubuntu1
Architecture: i386
CheckboxSubmission: 9a284f3f6b4f7829abbe27ad9573a709
CheckboxSystem: 3935143777c965daaa64b51f0134f712
Date: Fri Mar 30 10:33:00 2012
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110422)
PackageArchitecture: all
SoftwareCenterLog: 2012-03-30 10:32:12,713 - softwarecenter.ui.gtk3.widgets.recommendations - WARNING - Error while accessing the recommender agent for the details view recommendations: WARNING:__main__:404: {'status': '404', 'content-length': '56', 'via': '1.1 rec.ubuntu.com', '-content-encoding': 'gzip', 'strict-transport-security': 'max-age=2592000', 'vary': 'Accept-Encoding', 'server': 'Apache/2.2.14 (Ubuntu)', 'etag': '"3a2e1651ce93e615205a896a25390a36"', 'cache-control': 'max-age=300', 'date': 'Fri, 30 Mar 2012 14:32:12 GMT', 'content-type': 'text/html; charset=utf-8'}
SourcePackage: software-center
UpgradeStatus: Upgraded to precise on 2011-11-05 (145 days ago)

Related branches

Michael Terry (mterry) wrote :
Michael Vogt (mvo) on 2012-03-30
description: updated
Changed in software-center (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
Michael Vogt (mvo) on 2012-04-11
Changed in software-center (Ubuntu):
milestone: none → ubuntu-12.04
Michael Vogt (mvo) on 2012-04-17
Changed in software-center (Ubuntu):
milestone: ubuntu-12.04 → precise-updates
Changed in software-center (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → Gary Lasker (gary-lasker)
Gary Lasker (gary-lasker) wrote :

Much nicer (see attached screenshot)! Thanks again for this report, Michael!

Michael Vogt (mvo) on 2012-06-11
description: updated
Changed in software-center (Ubuntu):
status: In Progress → Fix Committed
Gary Lasker (gary-lasker) wrote :

The attached branch (lp:~gary-lasker/software-center/previous-purchase-sorting-lp873104) fixes this error when searching from inside the previous purchases view itself, but it does not fix it when searching from the main lobby panel. Therefore, we'll keep this open until we fix the latter case also.

Changed in software-center (Ubuntu):
status: Fix Committed → Triaged
assignee: Gary Lasker (gary-lasker) → nobody
Michael Vogt (mvo) on 2012-09-13
tags: added: ca-escalated
Michael Vogt (mvo) wrote :

Fixing this by merging the previous purchases in a better way will also give a better user experience for e.g. browsing the "available for purchase" items.

Changed in software-center (Ubuntu):
assignee: nobody → Michael Vogt (mvo)
status: Triaged → In Progress
Changed in software-center (Ubuntu):
milestone: precise-updates → ubuntu-12.10
Changed in software-center (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 5.3.14

---------------
software-center (5.3.14) quantal; urgency=low

  [ Michael Vogt ]
  * lp:~mvo/software-center/trivial-renaming,
    lp:~mvo/software-center/trivial-rename2:
    - drop the Gtk suffix from two more classes and rename
      catview_gtk.py to catview and split out lobbyview
  * lp:~mvo/software-center/pep8-again:
    - add the software-center top level to the pep8 check
      and fix its pep8 errors
  * lp:~mvo/software-center/make-currency-part-of-the-db:
    - move the currency field into the database itself
  * lp:~mvo/software-center/merge-prev-purchases-lp969273:
    - change the way reinstall previous purchases is done,
      fixes double entries in the db, and items already
      purchased will display properly and will no longer
      display a price (LP: #969273)
  * lp:~mvo/software-center/login-cleanup:
    - refactor and cleanup the login backend code, remove
      the unused interfaces for launchpad ppas
  * lp:~mvo/software-center/lp1034894-again:
    - fix the navigation buttons to be displayed as a
      single button style (LP: #1034894)
  * lp:~mvo/software-center/extra-unity-categories:
    - provide an ascii-only stable alias name for use
      by Unity for "Top Rated" and "What's New"
  * lp:~mvo/software-center/dataprovider-desktop-dependency-property:
    - add "is_desktop_dependency" property for the unity people
      (LP: #1047315)

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/handle-trans-cancel-lp1027209:
    - don't add an application to the Unity launcher for the case
      where an installation is cancelled (LP: #1027209)
 -- Michael Vogt <email address hidden> Tue, 18 Sep 2012 10:37:32 +0200

Changed in software-center (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers